Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186347 - IllegalStateException: left=class java.lang.Short, right=class java.lang.Short
IllegalStateException: left=class java.lang.Short, right=class java.lang.Short
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Jan Lahoda
issues@java
EXCEPTIONS_REPORT, 69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 07:38 UTC by oj
Modified: 2010-07-07 15:04 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.94 KB, text/plain)
2010-05-19 07:38 UTC, oj
Details
stacktrace (2.80 KB, text/plain)
2010-05-22 09:20 UTC, pathvego
Details

Note You need to log in before you can comment on or make changes to this bug.
Description oj 2010-05-19 07:38:13 UTC
Build: NetBeans IDE 6.9 Beta (Build 201004200117)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows 2003

User Comments:
GUEST: Viewing java.util.StreamTokenizer class.

FrantaM: Open class com.sun.org.apache.xerces.internal.impl.dv.xs.DecimalDV




Stacktrace: 
java.lang.IllegalStateException: left=class java.lang.Short, right=class java.lang.Short
   at org.netbeans.modules.java.hints.ArithmeticUtilities$VisitorImpl.visitBinary(ArithmeticUtilities.java:173)
   at org.netbeans.modules.java.hints.ArithmeticUtilities$VisitorImpl.visitBinary(ArithmeticUtilities.java:64)
   at com.sun.tools.javac.tree.JCTree$JCBinary.accept(JCTree.java:1562)
   at com.sun.source.util.TreePathScanner.scan(TreePathScanner.java:67)
   at org.netbeans.modules.java.hints.ArithmeticUtilities$VisitorImpl.visitBinary(ArithmeticUtilities.java:115)
   at org.netbeans.modules.java.hints.ArithmeticUtilities$VisitorImpl.visitBinary(ArithmeticUtilities.java:64)
Comment 1 oj 2010-05-19 07:38:18 UTC
Created attachment 99180 [details]
stacktrace
Comment 2 pathvego 2010-05-22 09:20:17 UTC
Created attachment 99335 [details]
stacktrace

Opening a Java class to edit it
Comment 3 Jan Lahoda 2010-05-24 14:54:03 UTC
http://hg.netbeans.org/jet-main/rev/d7f5369e419d
Comment 4 Quality Engineering 2010-05-25 07:32:43 UTC
Integrated into 'main-golden', will be available in build *201005250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d7f5369e419d
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #186347: handle short and byte constants correctly.
Comment 5 Petr Blaha 2010-06-17 11:51:41 UTC
verified
Comment 6 rbalada 2010-06-21 13:30:23 UTC
main #d7f5369e419d transplanted to release691 #ba784fb1065f
Comment 7 Martin Fousek 2010-07-07 15:04:01 UTC
Verified in NetBeans IDE 6.9.1 Dev (Build 201007062301).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo